Package twisted :: Package internet :: Module interfaces :: Class IReactorUDP |
[frames | no frames]

## Class IReactorUDP

    Interface --+
                |
               IReactorUDP

UDP socket methods.

IMPORTANT: This is an experimental new interface. It may change without backwards compatability. Suggestions are welcome.

Method Summary
| ``connectUDP`(self, remotehost, remoteport, protocol, localport, interface, maxPacketSize)` Connects a `ConnectedDatagramProtocol` instance to a UDP port.
| ``listenUDP`(self, port, protocol, interface, maxPacketSize)` Connects a given DatagramProtocol to the given numeric UDP port.

Method Details

### connectUDP(self, remotehost, remoteport, protocol, localport=0, interface='', maxPacketSize=8192) Connects a `ConnectedDatagramProtocol` instance to a UDP port.

### listenUDP(self, port, protocol, interface='', maxPacketSize=8192) Connects a given DatagramProtocol to the given numeric UDP port. Returns: object conforming to `IListeningPort`.

Generated by Epydoc 2.0 on Sat Oct 25 00:54:47 2003 | http://epydoc.sf.net